


sqlplus mg/mg <<EOF
set linesize 200
col sp_cpu_s format 999990.00
select LOAD_TYPE,SQL_SCRIPT,LOAD,SAMPLE_SET_NO,
       vd_execs_total,
       vd_elapsed_s_TOTAL,
       vd_cpu_systime_s_total, vd_cpu_sql_s_total, 
       os_cpu_s_total,
       vd_elapsed_s_total/vd_execs_total avg_el_time,
       sp_begin_id, sp_end_id,
       (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 sp_cpu_s
from   op_final_results
order by 1,2,3,4;

set tab off
set echo off
set verify off
set feedback off
set heading off
set pagesize 0
col x format 99990.000000
--
spool 2_sp.lst
select (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 x from op_final_results where load=2;
spool 3_sp.lst
select (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 x from op_final_results where load=3;
spool 4_sp.lst
select (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 x from op_final_results where load=4;
spool 5_sp.lst
select (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 x from op_final_results where load=5;
spool 6_sp.lst
select (get_cpu_time_snap_id(sp_end_id)-get_cpu_time_snap_id(sp_begin_id))/1000000 x from op_final_results where load=6;
--
spool 2_dbcpu.lst
select vd_cpu_systime_s_total x from op_final_results where load=2;
spool 3_dbcpu.lst
select vd_cpu_systime_s_total x from op_final_results where load=3;
spool 4_dbcpu.lst
select vd_cpu_systime_s_total x from op_final_results where load=4;
spool 5_dbcpu.lst
select vd_cpu_systime_s_total x from op_final_results where load=5;
spool 6_dbcpu.lst
select vd_cpu_systime_s_total x from op_final_results where load=6;
--
spool 2_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=2;
spool 3_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=3;
spool 4_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=4;
spool 5_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=5;
spool 6_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=6;
spool 7_sqlstats.lst
select vd_cpu_sql_s_total x from op_final_results where load=7;
--
spool 2_os.lst
select os_cpu_s_total x from op_final_results where load=2;
spool 3_os.lst
select os_cpu_s_total x from op_final_results where load=3;
spool 4_os.lst
select os_cpu_s_total x from op_final_results where load=4;
spool 5_os.lst
select os_cpu_s_total x from op_final_results where load=5;
spool 6_os.lst
select os_cpu_s_total x from op_final_results where load=6;
--
exit;
EOF

echo ""
echo ""
for i in 2 3 4 5 6
do
 echo "${i}_sp.lst -> ${i}_sp.dat ..."
 cat ${i}_sp.lst | grep -v select | grep -v SQL > ${i}_sp.dat

 echo "${i}_dbcpu.lst -> ${i}_dbcpu.dat ..."
 cat ${i}_dbcpu.lst | grep -v select | grep -v SQL > ${i}_dbcpu.dat

 echo "${i}_sqlstats.lst -> ${i}_sqlstats.dat ..."
 cat ${i}_sqlstats.lst | grep -v select | grep -v SQL > ${i}_sqlstats.dat

 echo "${i}_os.lst -> ${i}_os.dat ..."
 cat ${i}_os.lst | grep -v select | grep -v SQL > ${i}_os.dat
done
ls -ltr *dat


